> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/roles/get-role-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns the role. GET https://api.awork.com/api/v1/roles/{roleId} Returns the role. The returned role includes its workspace settings.The user must be an admin or have `workspace-manage-config:read` permissions. Reference: https://developers.awork.com/apiv1/roles/get-role-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `roleId` (string, required) — The id of the role. ## Response ### 200 OK - `name` (string, required) — The name of the role. Must be unique. - `isAdminRole` (boolean, optional) — Whether this is the admin role. Only one role can be the admin role. - `isGuestRole` (boolean, optional) — Whether this is the guest role. Only one role can be the guest role. - `id` (string, optional) — The id of the role. - `isAgentRole` (boolean, optional) — Whether this is a retained role from the legacy agent-as-user model. The role cannot be modified. - `isPreset` (boolean, optional) — Whether this role is one of the preset roles. Preset roles can be edited, archived and deleted. - `isArchived` (boolean, optional) — Whether the role has been archived. - `createdBy` (string, optional) — The id of the user who created this role. - `createdOn` (string, optional) — The date this role was created. - `updatedBy` (string, optional) — The id of the user who updated this role. - `updatedOn` (string, optional) — The date this role was last modified. ## Errors ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json { "name": "Designer", "isAdminRole": false, "isGuestRole": false, "id": "123e4567-e89b-12d3-a456-426614174000", "isAgentRole": false, "isPreset": false, "isArchived": false, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2024-01-15T09:30:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/roles/roleId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/roles/roleId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/roles/roleId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/roles/roleId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/roles/roleId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/roles/roleId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/roles/roleId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/roles/roleId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```